#include<cstdio>
int main()
{
	freopen("plant.in","w",stdout);
	int t=5,id=0;
	printf("%d %d\n",t,id);
	while (t--)
	{
		int n=1000,m=1000;
		printf("%d %d %d %d\n",n,m,1,1);
		for (int i=1;i<=n;i++){for (int j=1;j<=m;j++) printf("%d",!((i+j)%100));puts("");}
	}
}